Get all SMS templates for organization
curl --request GET \
--url https://your-instance.example.com/api/user/sms-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/user/sms-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/user/sms-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "64eea1110000000000000050",
"name": "Intro - new lead",
"template": "Hi {{firstName}}, thanks for reaching out — when is a good time to chat?",
"type": "sms",
"category": "introduction"
}
]{
"error": "User not found",
"details": "No user with id 64ee9a8b1e7f2a0011223399"
}{
"error": "User not found",
"details": "No user with id 64ee9a8b1e7f2a0011223399"
}Users
Get all SMS templates for organization
Returns SMS, campaign, script, and automation templates visible to the authenticated user, optionally filtered by template type.
GET
/
api
/
user
/
sms-templates
Get all SMS templates for organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
sms, campaign, script, automation Response
Templates returned
Example:
[
{
"_id": "64eea1110000000000000050",
"name": "Intro - new lead",
"template": "Hi {{firstName}}, thanks for reaching out — when is a good time to chat?",
"type": "sms",
"category": "introduction"
}
]
⌘I